Term (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi

## Class Term

- java.lang.Object
- - org.apache.cassandra.index.sasi.Term

- Direct Known Subclasses:
    OnDiskIndex.DataTerm, OnDiskIndex.PointerTerm

      public class Term
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected MappedBuffer` | `content`
    `protected OnDiskIndexBuilder.TermSize` | `termSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Term(MappedBuffer content, OnDiskIndexBuilder.TermSize size, boolean hasMarkedPartials)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(AbstractType<?> comparator, java.nio.ByteBuffer query)`
    `int` | `compareTo(AbstractType<?> comparator, java.nio.ByteBuffer query, boolean checkFully)`
    `long` | `getDataOffset()`
    `java.nio.ByteBuffer` | `getTerm()`
    `boolean` | `isPartial()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### content

          protected final MappedBuffer content

    - #### termSize

          protected final OnDiskIndexBuilder.TermSize termSize

  - ### Constructor Detail

    - #### Term

          public Term(MappedBuffer content,
                      OnDiskIndexBuilder.TermSize size,
                      boolean hasMarkedPartials)

  - ### Method Detail

    - #### getTerm

          public java.nio.ByteBuffer getTerm()

    - #### isPartial

          public boolean isPartial()

    - #### getDataOffset

          public long getDataOffset()

    - #### compareTo

          public int compareTo(AbstractType<?> comparator,
                               java.nio.ByteBuffer query)

    - #### compareTo

          public int compareTo(AbstractType<?> comparator,
                               java.nio.ByteBuffer query,
                               boolean checkFully)

Copyright © 2018 The Apache Software Foundation